Results 1 to 4 of 4

Thread: Broken package manager

  1. #1
    Join Date
    Dec 2008
    Location
    Northampton, UK
    Beans
    315
    Distro
    Ubuntu 13.04 Raring Ringtail

    Exclamation Broken package manager

    Hi. I'm using Ubuntu Intrepid under Wubi. When I try to run all of the following:

    • Synaptic
    • Upgrade Manager
    • Add/Remove Programs

    I get an error message.
    Code:
    E: Unable to parse package file /var/lib/dpkg/status (1)
    E: The package lists or status file could not be parsed or opened.
    E: _cache->open() failed, please report.
    I have no idea why this is happening, nor what I can do to prevent/solve it. Thanks. Help is appreciated. Most questions regarding soft/hardware can be answered.
    Currently running: elementary Freya. Have experience in Ubuntu up to 14.04. (Started in 8.04)
    Student. Reader. Writer. Theatre-goer. I poke around in Linux from time to time, too.
    2.16Ghz Quad Core, 4GB RAM, 500GB HDD.

  2. #2
    Join Date
    Aug 2007
    Location
    Karma BC
    Beans
    1,215
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Broken package manager

    try re-installing synaptic.

    If you cant do it from a graphical desktop, try ctrl+alt+F1 to get to a console, then type
    sudo apt-get install synaptic
    and ctrl+alt+F7 to get back to your graphical environment.

    you could also try
    sudo dpkg --configure -a
    - make sure synaptic is closed when you run this command.

    and here is a thread http://wiki.eeeuser.com/howto:unable_to_tparse
    Last edited by utnubuuser; March 8th, 2009 at 03:22 AM.
    Kipling - "if"

  3. #3
    Join Date
    Jul 2008
    Location
    4newOtherOSTalk4umCsig
    Beans
    555

    Re: Broken package manager

    Quote Originally Posted by utnubuuser View Post
    try re-installing synaptic
    That might be a bit difficult if all the GUI front ends of apt cannot run due to a problem with dpkg or apt-get


    To the OP, what does Terminal spit back at you when you type:

    Code:
    sudo apt-get update
    You'll probably get an error-what is it?
    PhenomII 720x4@3.65gHz w/Zalman cooler,PNY Nvidia GTX260, 4GB, Arch64

    14 is NOT a random number!!!!!
    Arch Linux | new Other OS Talk forum

  4. #4
    Join Date
    Dec 2008
    Location
    Northampton, UK
    Beans
    315
    Distro
    Ubuntu 13.04 Raring Ringtail

    Talking Re: Broken package manager

    To the OP, what does Terminal spit back at you when you type:

    Code:
    sudo apt-get update
    You'll probably get an error-what is it?
    It used to spit back the error I posted above, though a reboot, and this command
    and ctrl+alt+F7 to get back to your graphical environment.

    you could also try
    Code:
    sudo dpkg --configure -a
    did works. Thanks to utnubuuser for this
    Last edited by Ratscallion; March 9th, 2009 at 05:40 PM.
    Currently running: elementary Freya. Have experience in Ubuntu up to 14.04. (Started in 8.04)
    Student. Reader. Writer. Theatre-goer. I poke around in Linux from time to time, too.
    2.16Ghz Quad Core, 4GB RAM, 500GB HDD.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •